"""
An error used when the value used is not defined
"""
class UndefinedValueError(Exception):
    def __init__(self, value: str, expected: str):
        super().__init__( f"ERROR: Undefined Value, expected: {expected}, value: {value}." )

